diff --git a/funcs/func_strings.c b/funcs/func_strings.c
index ad58d54..2e39bcf 100644
--- a/funcs/func_strings.c
+++ b/funcs/func_strings.c
@@ -180,11 +180,14 @@ AST_THREADSTORAGE(tmp_buf);
 			<parameter name="string" required="true" />
 		</syntax>
 		<description>
-			<para>Return <literal>1</literal> on regular expression match or <literal>0</literal> otherwise</para>
-			<para>Please note that the space following the double quotes separating the
-			regex from the data is optional and if present, is skipped. If a space is
-			desired at the beginning of the data, then put two spaces there; the second
-			will not be skipped.</para>
+			<para>Return <literal>1</literal> on regular expression match or <literal>0</literal> otherwise.</para>
+			<para>If a space is desired at the beginning of the data, put two spaces before the string.</para>
+			<note><para>Note that there is no comma separator in this function, the Regexp pattern and string
+			to match against are separated by a space (For legacy reasons, the space is optional, but is
+			encouraged for readability).</para></note>
+			<para>Example: ${REGEX("^PJSIP" PJSIP)} returns 1</para>
+			<para>         ${REGEX("^PJSIP"  PJSIP)} returns 0</para>
+			<para>         ${REGEX("PJSIP$"  PJSIP)} returns 1</para>
 		</description>
 	</function>
 	<application name="ClearHash" language="en_US">
